#pragma once


// demoSetDefaultVirtualBg 对话框

#include <vector>

class demoSetDefaultVirtualBg : public CDialogEx
{
	DECLARE_DYNAMIC(demoSetDefaultVirtualBg)

public:
	demoSetDefaultVirtualBg(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~demoSetDefaultVirtualBg();

	enum { IDD = IDD_SET_DEFAULT_VIRTUAL_BACKGROUND };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
    afx_msg void OnBnClickedOk();

protected:
    std::vector<std::string> m_imagesPath;
    CListBox m_vrbgImages;
    int m_mode;
};
